Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 28 Feb 2021 10:30:49 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I am writing to highlight the bad experience I got from click & collect ,
First of all I have chosen Click & collect based on the promotion I will get 10% more if I choose that option.
Then I have chosen the babyshop , Sharjah city center .2 days now I go to the shop and the salespersons telling me there’s no parcel for me and it hasn’t arrived yet. Finally today one of the staff told me , you have to go and collect from minutes  why ? I don’t know  even the guy doesn’t know.
I went to Minutes and I found the parcel in a box , not bags , however it’s not a problem , let’s pay and take it and go , then , sorry Sir , we accept only cash we don’t accept cards .
And I haven’t had cash with me , I really wonder why the parcel went to Minutes ? Why they don’t accept cash ?
The parcel still there , and I might collect it tomorrow as the There were rows in front of ATM by this time , but, I am really very disappointed with the service . Hopefully someone explain to me why this problem and not just receiving a call with  sorry for this disturbance  thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2163183